Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SupergroupFullInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SupergroupFullInfo

Enclosing class:
  TdApi

public static final class TdApi.SupergroupFullInfo extends TdApi.Object
Contains full information about a supergroup or channel.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`administratorCount`
Number of privileged users in the supergroup or channel; 0 if unknown.
`int`
`bannedCount`
Number of users banned from chat; 0 if unknown.
`TdApi.BotCommands[]`
`botCommands`
List of commands of bots in the group.
`boolean`
`canGetMembers`
True, if members of the chat can be retrieved.
`boolean`
`canGetStatistics`
True, if the supergroup or channel statistics are available.
`boolean`
`canSetLocation`
True, if the supergroup location can be changed.
`boolean`
`canSetStickerSet`
True, if the supergroup sticker set can be changed.
`boolean`
`canSetUsername`
True, if the chat username can be changed.
`static final int`
`CONSTRUCTOR`
`String`
`description`
Supergroup or channel description.
`TdApi.ChatInviteLink`
`inviteLink`
Primary invite link for this chat; may be null.
`boolean`
`isAllHistoryAvailable`
True, if new chat members will have access to old messages.
`long`
`linkedChatId`
Chat identifier of a discussion group for the channel, or a channel, for which the supergroup is the designated discussion group; 0 if none or unknown.
`TdApi.ChatLocation`
`location`
Location to which the supergroup is connected; may be null.
`int`
`memberCount`
Number of members in the supergroup or channel; 0 if unknown.
`TdApi.ChatPhoto`
`photo`
Chat photo; may be null.
`int`
`restrictedCount`
Number of restricted users in the supergroup; 0 if unknown.
`int`
`slowModeDelay`
Delay between consecutive sent messages for non-administrator supergroup members, in seconds.
`double`
`slowModeDelayExpiresIn`
Time left before next message can be sent in the supergroup, in seconds.
`long`
`stickerSetId`
Identifier of the supergroup sticker set; 0 if none.
`long`
`upgradedFromBasicGroupId`
Identifier of the basic group from which supergroup was upgraded; 0 if none.
`long`
`upgradedFromMaxMessageId`
Identifier of the last message in the basic group from which supergroup was upgraded; 0 if none.

## Constructor Summary

Constructors
Constructor
Description
`SupergroupFullInfo()`
Contains full information about a supergroup or channel.
`SupergroupFullInfo(TdApi.ChatPhoto photo, String description, int memberCount, int administratorCount, int restrictedCount, int bannedCount, long linkedChatId, int slowModeDelay, double slowModeDelayExpiresIn, boolean canGetMembers, boolean canSetUsername, boolean canSetStickerSet, boolean canSetLocation, boolean canGetStatistics, boolean isAllHistoryAvailable, long stickerSetId, TdApi.ChatLocation location, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands, long upgradedFromBasicGroupId, long upgradedFromMaxMessageId)`
Contains full information about a supergroup or channel.
`SupergroupFullInfo(DataInput input)`
Contains full information about a supergroup or channel.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### photo

public TdApi.ChatPhoto photo
Chat photo; may be null.

### description

public String description
Supergroup or channel description.

### memberCount

public int memberCount
Number of members in the supergroup or channel; 0 if unknown.

### administratorCount

public int administratorCount
Number of privileged users in the supergroup or channel; 0 if unknown.

### restrictedCount

public int restrictedCount
Number of restricted users in the supergroup; 0 if unknown.

### bannedCount

public int bannedCount
Number of users banned from chat; 0 if unknown.

### linkedChatId

public long linkedChatId
Chat identifier of a discussion group for the channel, or a channel, for which the supergroup is the designated discussion group; 0 if none or unknown.

### slowModeDelay

public int slowModeDelay
Delay between consecutive sent messages for non-administrator supergroup members, in seconds.

### slowModeDelayExpiresIn

public double slowModeDelayExpiresIn
Time left before next message can be sent in the supergroup, in seconds. An updateSupergroupFullInfo update is not triggered when value of this field changes, but both new and old values are non-zero.

### canGetMembers

public boolean canGetMembers
True, if members of the chat can be retrieved.

### canSetUsername

public boolean canSetUsername
True, if the chat username can be changed.

### canSetStickerSet

public boolean canSetStickerSet
True, if the supergroup sticker set can be changed.

### canSetLocation

public boolean canSetLocation
True, if the supergroup location can be changed.

### canGetStatistics

public boolean canGetStatistics
True, if the supergroup or channel statistics are available.

### isAllHistoryAvailable

public boolean isAllHistoryAvailable
True, if new chat members will have access to old messages. In public or discussion groups and both public and private channels, old messages are always available, so this option affects only private supergroups without a linked chat. The value of this field is only available for chat administrators.

### stickerSetId

public long stickerSetId
Identifier of the supergroup sticker set; 0 if none.

### location

public TdApi.ChatLocation location
Location to which the supergroup is connected; may be null.

### inviteLink

public TdApi.ChatInviteLink inviteLink
Primary invite link for this chat; may be null. For chat administrators with canInviteUsers right only.

### botCommands

public TdApi.BotCommands[] botCommands
List of commands of bots in the group.

### upgradedFromBasicGroupId

public long upgradedFromBasicGroupId
Identifier of the basic group from which supergroup was upgraded; 0 if none.

### upgradedFromMaxMessageId

public long upgradedFromMaxMessageId
Identifier of the last message in the basic group from which supergroup was upgraded; 0 if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SupergroupFullInfo

public SupergroupFullInfo()
Contains full information about a supergroup or channel.

### SupergroupFullInfo

public SupergroupFullInfo(TdApi.ChatPhoto photo, String description, int memberCount, int administratorCount, int restrictedCount, int bannedCount, long linkedChatId, int slowModeDelay, double slowModeDelayExpiresIn, boolean canGetMembers, boolean canSetUsername, boolean canSetStickerSet, boolean canSetLocation, boolean canGetStatistics, boolean isAllHistoryAvailable, long stickerSetId, TdApi.ChatLocation location, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands, long upgradedFromBasicGroupId, long upgradedFromMaxMessageId)
Contains full information about a supergroup or channel.

Parameters:
  `photo` - ChatPhoto Chat photo; may be null.
  `description` - String Supergroup or channel description.
  `memberCount` - int Number of members in the supergroup or channel; 0 if unknown.
  `administratorCount` - int Number of privileged users in the supergroup or channel; 0 if unknown.
  `restrictedCount` - int Number of restricted users in the supergroup; 0 if unknown.
  `bannedCount` - int Number of users banned from chat; 0 if unknown.
  `linkedChatId` - long Chat identifier of a discussion group for the channel, or a channel, for which the supergroup is the designated discussion group; 0 if none or unknown.
  `slowModeDelay` - int Delay between consecutive sent messages for non-administrator supergroup members, in seconds.
  `slowModeDelayExpiresIn` - double Time left before next message can be sent in the supergroup, in seconds. An updateSupergroupFullInfo update is not triggered when value of this field changes, but both new and old values are non-zero.
  `canGetMembers` - boolean True, if members of the chat can be retrieved.
  `canSetUsername` - boolean True, if the chat username can be changed.
  `canSetStickerSet` - boolean True, if the supergroup sticker set can be changed.
  `canSetLocation` - boolean True, if the supergroup location can be changed.
  `canGetStatistics` - boolean True, if the supergroup or channel statistics are available.
  `isAllHistoryAvailable` - boolean True, if new chat members will have access to old messages. In public or discussion groups and both public and private channels, old messages are always available, so this option affects only private supergroups without a linked chat. The value of this field is only available for chat administrators.
  `stickerSetId` - long Identifier of the supergroup sticker set; 0 if none.
  `location` - ChatLocation Location to which the supergroup is connected; may be null.
  `inviteLink` - ChatInviteLink Primary invite link for this chat; may be null. For chat administrators with canInviteUsers right only.
  `botCommands` - BotCommands[] List of commands of bots in the group.
  `upgradedFromBasicGroupId` - long Identifier of the basic group from which supergroup was upgraded; 0 if none.
  `upgradedFromMaxMessageId` - long Identifier of the last message in the basic group from which supergroup was upgraded; 0 if none.

### SupergroupFullInfo

public SupergroupFullInfo(DataInput input) throws IOException
Contains full information about a supergroup or channel.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`